# Parameter


## Values

| Name                    | Value                   |
| ----------------------- | ----------------------- |
| `TEMPERATURE`           | temperature             |
| `TOP_P`                 | top_p                   |
| `TOP_K`                 | top_k                   |
| `MIN_P`                 | min_p                   |
| `TOP_A`                 | top_a                   |
| `FREQUENCY_PENALTY`     | frequency_penalty       |
| `PRESENCE_PENALTY`      | presence_penalty        |
| `REPETITION_PENALTY`    | repetition_penalty      |
| `MAX_TOKENS`            | max_tokens              |
| `MAX_COMPLETION_TOKENS` | max_completion_tokens   |
| `LOGIT_BIAS`            | logit_bias              |
| `LOGPROBS`              | logprobs                |
| `TOP_LOGPROBS`          | top_logprobs            |
| `SEED`                  | seed                    |
| `RESPONSE_FORMAT`       | response_format         |
| `STRUCTURED_OUTPUTS`    | structured_outputs      |
| `STOP`                  | stop                    |
| `TOOLS`                 | tools                   |
| `TOOL_CHOICE`           | tool_choice             |
| `PARALLEL_TOOL_CALLS`   | parallel_tool_calls     |
| `INCLUDE_REASONING`     | include_reasoning       |
| `REASONING`             | reasoning               |
| `REASONING_EFFORT`      | reasoning_effort        |
| `WEB_SEARCH_OPTIONS`    | web_search_options      |
| `VERBOSITY`             | verbosity               |